function [ ub ] = uboundary(k, h, n, j)
%UBOUNDARY This function returns the single boundary value of u given the 
%specified index in time and space, n and j

%Input:
%k is the step size in time
%h is the step size in space
%n is the specified index in time
%j is the specified index in space

%Output:
%ub is a single boundary value at the specified index in time and space, n 
%and j

%Sets the returning value immediately to NaN. Therefore, if the requested
%index in time and space, n and j, is not a boundary value of u, this 
%function will return back NaN.
ub = NaN; 

x = 0 + j*h;
t = 0 + n*k;

if(x == 0 && t>=0)
    
    ub = 1;
    
end;

if(x>0 && x<10 && t == 0)
    
    ub = 0;
    
end;

if(x == 10 && t>=0)
    
    ub = 0;
    
end;

end

